%define	mname	adonthell
%define	rname	wastesedge
%define	name	%{mname}-%{rname}
%define version	0.3.3
%define release	1mdk
%define	summary	Official game package for Adonthell
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Adventure
Source0:	http://freesoftware.fsf.org/download/adonthell/%{rname}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://adonthell.linuxgames.com
BuildArch:	noarch
Requires:	%{mname} >= %{version}
BuildRequires:	%{mname} >= %{version}
Summary:	%{summary}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
As a loyal servant of the elven Lady Silverhair, you arrive at the remote
trading post of Waste's Edge, where she is engaged in negotiations with the
dwarish merchant Bjarn Fingolson. But not all is well at Waste's Edge, and
soon you are confronted with circumstances that are about to destroy your
mistress' high reputation. And you are the only one to avert this ...

%prep
%setup -q -n %{rname}-%{version}

%build
./configure	--bindir=%{_gamesbindir} \
		--libdir=%{_libdir} \
		--datadir=%{_gamesdatadir}/%{mname}/games/%{rname}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} gamedatadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%{mname}/games/%{rname}

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="soundwrapper %{_gamesbindir}/%{name} /A" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Adventure" \
		  title="Adonthell - Waste's Edge"\
		  longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS PLAYING README
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{mname}/games/%{rname}
%{_gamesdatadir}/%{mname}/games/%{rname}/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png


%changelog
* Fri Nov 15 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.3.3-1mdk
- First release
